View Issue Details

IDProjectCategoryView StatusLast Update
0033366LazarusPackagespublic2018-03-09 09:22
ReporterStephanoAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.9 (SVN)Product Build 
Target VersionFixed in Version1.9 (SVN) 
Summary0033366: FPReport designer: Group header bands order
Description- Place 2 group header/footer sets
- Set one GroupHeaderBand2 as the parent group header of GroupHeaderBand1
- Resize any band to trigger band auto positioning
GroupHeaderBand2 will stay below GroupHeaderBand2 instead of above it. Actually auto band positioning is not affected by the ParentBand property.

The group footer bands don't adjust their positioning too.
TagsNo tags attached.
Fixed in Revision57480
LazTarget-
Widgetset
Attached Files

Activities

Michael Van Canneyt

2018-03-08 08:51

administrator   ~0106979

Fixed, thanks for reporting!

Stephano

2018-03-08 09:11

developer   ~0106980

Group headers are ok now. But the group footers still don't respect positioning.

Michael Van Canneyt

2018-03-09 09:19

administrator   ~0107026

Fixed footer ordering too.

Issue History

Date Modified Username Field Change
2018-03-07 12:27 Stephano New Issue
2018-03-07 12:27 Stephano Status new => assigned
2018-03-07 12:27 Stephano Assigned To => Michael Van Canneyt
2018-03-08 08:51 Michael Van Canneyt Fixed in Revision => 57461
2018-03-08 08:51 Michael Van Canneyt Note Added: 0106979
2018-03-08 08:51 Michael Van Canneyt Status assigned => resolved
2018-03-08 08:51 Michael Van Canneyt Fixed in Version => 1.9 (SVN)
2018-03-08 08:51 Michael Van Canneyt Resolution open => fixed
2018-03-08 09:11 Stephano Note Added: 0106980
2018-03-08 09:11 Stephano Status resolved => assigned
2018-03-08 09:11 Stephano Resolution fixed => reopened
2018-03-09 09:19 Michael Van Canneyt Fixed in Revision 57461 => 57480
2018-03-09 09:19 Michael Van Canneyt Note Added: 0107026
2018-03-09 09:19 Michael Van Canneyt Status assigned => resolved
2018-03-09 09:19 Michael Van Canneyt Resolution reopened => fixed
2018-03-09 09:22 Stephano Status resolved => closed